/*************************************************************
    Name:       literal.c
    Purpose:    Implements the literal table
    Author:     David Cuny
    Copyright:  (c) 2003 David Cuny <dcuny@lanset.com>
    Licence:    LGPL
*************************************************************/

#ifndef WXBASIC_LITERAL_DECLARES
#define WXBASIC_LITERAL_DECLARES

long wLiteralAdd( char *name, wVariant *variant );
long wLiteralAddNum( char *name, wNumber n );
long wLiteralAddStr( char *name, char *s );
char *wLiteralGetChar( int index );
long wLiteralAddPtr( char *name, wSymbol *klass, void *ptr );
void wLiteralInit( void );
void wLiteralDumpTable( void );

#endif
